Subject: bug#75956: Various improvements to sieve.el

From: Stefan Kangas <[email-masked]>
Date: Thu, 13 Feb 2025 14:49:26 -0600

Björn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> The changes look good. For the future now I know that to put in the
> message message, e.g. not including the news file change in the commit
> message.

It is fine to put etc/NEWS in the ChangeLog, it's just not required.

(I usually just leave it as is when installing other people's patches,
but this time I seem to have deleted the line for some reason.)

> The change "Make sieve-manage prompt also for port number" is missing
> the file name. That's ok?

No, that was an oversight on my part.  I thought I fixed it, but
apparently not.

I recommend 'C-x 4 a' or 'M-x magit-generate-changelog' to generate
pChangeLog entries in the future, that way you always get them right.
(I assume that you didn't because there was a typo in a file name in one
of the patches, which usually suggests that it was typed out manually.)